#include<iostream>
using namespace std;
int main()
{
    int N, st[10000], fi[10000], br=0,i=0, j;
    cin>>N;
    for(int i=0;i<N;i++){cin>>st[i];}
    for(int i=0;i<N;i++){cin>>fi[i];}
    st[N]=0;
    fi[N]=0;
    while(i<N)
    {
        j=0;
        while(st[i]!=fi[j])
        {
            j++;
        }
        while(st[i]==fi[j])
        {
            i++;
            j++;
        }
        br++;
    }
    cout<<br<<endl;
    return 0;
}